// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.VBNetBinding {
    
    
    public partial class ImportsOptionsPanelWidget {
        
        private Gtk.Table table3;
        
        private Gtk.Button cmdAdd;
        
        private Gtk.ScrolledWindow GtkScrolledWindow;
        
        private Gtk.TreeView treeview1;
        
        private Gtk.Entry txtImport;
        
        private Gtk.VBox vbox1;
        
        private Gtk.Button cmdRemove;
        
        private Gtk.Label label10;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.VBNetBinding.ImportsOptionsPanelWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.VBNetBinding.ImportsOptionsPanelWidget";
            // Container child MonoDevelop.VBNetBinding.ImportsOptionsPanelWidget.Gtk.Container+ContainerChild
            this.table3 = new Gtk.Table(((uint)(2)), ((uint)(2)), false);
            this.table3.Name = "table3";
            this.table3.RowSpacing = ((uint)(6));
            this.table3.ColumnSpacing = ((uint)(6));
            // Container child table3.Gtk.Table+TableChild
            this.cmdAdd = new Gtk.Button();
            this.cmdAdd.CanFocus = true;
            this.cmdAdd.Name = "cmdAdd";
            this.cmdAdd.UseUnderline = true;
            this.cmdAdd.Label = Mono.Unix.Catalog.GetString("Add");
            this.table3.Add(this.cmdAdd);
            Gtk.Table.TableChild w1 = ((Gtk.Table.TableChild)(this.table3[this.cmdAdd]));
            w1.LeftAttach = ((uint)(1));
            w1.RightAttach = ((uint)(2));
            w1.XOptions = ((Gtk.AttachOptions)(4));
            w1.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table3.Gtk.Table+TableChild
            this.GtkScrolledWindow = new Gtk.ScrolledWindow();
            this.GtkScrolledWindow.Name = "GtkScrolledWindow";
            this.GtkScrolledWindow.ShadowType = ((Gtk.ShadowType)(1));
            // Container child GtkScrolledWindow.Gtk.Container+ContainerChild
            this.treeview1 = new Gtk.TreeView();
            this.treeview1.CanFocus = true;
            this.treeview1.Name = "treeview1";
            this.GtkScrolledWindow.Add(this.treeview1);
            this.table3.Add(this.GtkScrolledWindow);
            Gtk.Table.TableChild w3 = ((Gtk.Table.TableChild)(this.table3[this.GtkScrolledWindow]));
            w3.TopAttach = ((uint)(1));
            w3.BottomAttach = ((uint)(2));
            // Container child table3.Gtk.Table+TableChild
            this.txtImport = new Gtk.Entry();
            this.txtImport.CanFocus = true;
            this.txtImport.Name = "txtImport";
            this.txtImport.IsEditable = true;
            this.txtImport.InvisibleChar = '●';
            this.table3.Add(this.txtImport);
            Gtk.Table.TableChild w4 = ((Gtk.Table.TableChild)(this.table3[this.txtImport]));
            w4.XOptions = ((Gtk.AttachOptions)(4));
            w4.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table3.Gtk.Table+TableChild
            this.vbox1 = new Gtk.VBox();
            this.vbox1.Name = "vbox1";
            this.vbox1.Spacing = 6;
            // Container child vbox1.Gtk.Box+BoxChild
            this.cmdRemove = new Gtk.Button();
            this.cmdRemove.CanFocus = true;
            this.cmdRemove.Name = "cmdRemove";
            this.cmdRemove.UseUnderline = true;
            this.cmdRemove.Label = Mono.Unix.Catalog.GetString("Remove");
            this.vbox1.Add(this.cmdRemove);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.vbox1[this.cmdRemove]));
            w5.Position = 0;
            w5.Expand = false;
            w5.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.label10 = new Gtk.Label();
            this.label10.Name = "label10";
            this.vbox1.Add(this.label10);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(this.vbox1[this.label10]));
            w6.Position = 1;
            w6.Expand = false;
            w6.Fill = false;
            this.table3.Add(this.vbox1);
            Gtk.Table.TableChild w7 = ((Gtk.Table.TableChild)(this.table3[this.vbox1]));
            w7.TopAttach = ((uint)(1));
            w7.BottomAttach = ((uint)(2));
            w7.LeftAttach = ((uint)(1));
            w7.RightAttach = ((uint)(2));
            w7.XOptions = ((Gtk.AttachOptions)(4));
            w7.YOptions = ((Gtk.AttachOptions)(4));
            this.Add(this.table3);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Hide();
            this.cmdRemove.Clicked += new System.EventHandler(this.OnCmdRemoveClicked);
            this.txtImport.Changed += new System.EventHandler(this.OnTxtImportChanged);
            this.cmdAdd.Clicked += new System.EventHandler(this.OnCmdAddClicked);
        }
    }
}
